.header {
  position: sticky;
  top: 0;
  z-index: 1000;
  background: var(--bg-dark-elements);
  backdrop-filter: blur(10px);
  border-bottom: var(--border-standard);
}

.header-container {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 18px 20px;
}

.logo {
  display: flex;
  align-items: center;
  gap: 20px;
  font-size: 18px;
  font-weight: 600;
  cursor: pointer;
}

.logo img {
  height: 32px;
}

.menu-toggle {
  display: none;
  flex-direction: column;
  cursor: pointer;
  gap: 5px;
}

.menu-toggle span {
  display: block;
  width: 24px;
  height: 2px;
  background: var(--text-primary);
}

.nav {
  display: flex;
  gap: 25px;
}

.nav a {
  position: relative;
  color: var(--text-secondary);
  font-size: 15px;
  text-decoration: none;
  transition: 0.2s;
}
.nav a::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -6px;
  width: 0%;
  height: 2px;
  background: var(--text-accent-blue);
  transition: 0.3s ease;
}
.nav a:hover {
  color: var(--text-primary);
}
.nav a:hover::after {
  width: 100%;
}

/* laptop 1600–1919px */
@media (min-width: 1600px) and (max-width: 1919px) {

}

/* laptop 1366–1599px */
@media (min-width: 1366px) and (max-width: 1599px) {
  .header-container {
    padding: 16px 20px;
  }

  .logo {
    font-size: 16px;
  }

  .logo img {
    height: 30px;
  }

  .nav {
    display: flex;
    gap: 20px;
  }

  .nav a {
    font-size: 14px;
  }
}

/* laptop 1280–1365px */
@media (min-width: 1280px) and (max-width: 1365px) {
  .header-container {
    padding: 16px 20px;
  }

  .logo {
    font-size: 16px;
  }

  .logo img {
    height: 30px;
  }

  .nav {
    display: flex;
    gap: 20px;
  }

  .nav a {
    font-size: 14px;
  }
}

/* tablet */
@media (min-width: 768px) and (max-width: 1279px) and (orientation: portrait) {
  .logo {
    font-size: 20px;
  }

  .logo img {
    height: 35px;
  }

  .menu-toggle {
    display: flex;
    margin-left: auto;
  }

  .nav {
    display: none;
    gap: 25px;
  }

  .nav.active {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    gap: 20px;
    padding: 20px;
    z-index: 999;
    background: var(--bg-dark-elements);
  }

  .nav a {
    font-size: 18px;

  }
}
@media (min-width: 768px) and (max-width: 1279px) and (orientation: landscape) {
  .header-container {
    padding: 16px 20px;
  }

  .logo {
    font-size: 16px;
  }

  .logo img {
    height: 30px;
  }

  .nav {
    gap: 20px;
  }

  .nav a {
    font-size: 14px;
  }
}

/* smartphone */
@media (max-width: 767px) and (orientation: portrait) {
  .header-container {
    padding: 14px 18px;
  }

  .logo {
    font-size: 16px;
  }

  .logo img {
    height: 30px;
  }

  .menu-toggle {
    display: flex;
    margin-left: auto;
  }

  .menu-toggle span {
    width: 22px;
    height: 1px;
  }

  .nav {
    display: none;
    gap: 30px;
  }

  .nav.active {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    padding: 20px;
    gap: 20px;
    z-index: 999;
    background: #080f1a;
  }
}
@media (max-width: 767px) and (orientation: landscape) {
  .header-container {
    padding: 14px 18px;
  }

  .logo {
    font-size: 16px;
  }

  .logo img {
    height: 30px;
  }

  .menu-toggle {
    display: flex;
    margin-left: auto;
  }

  .menu-toggle span {
    width: 22px;
    height: 1px;
  }

  .nav {
    display: none;
    gap: 30px;
  }

  .nav.active {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    padding: 20px;
    gap: 20px;
    z-index: 999;
    background: #080f1a;
  }
}
@media (min-width: 768px) and (max-width: 915px) and (max-height: 500px) and (orientation: landscape) {
  .header-container {
    padding: 14px 18px;
  }

  .logo {
    font-size: 16px;
  }

  .logo img {
    height: 30px;
  }

  .menu-toggle {
    display: flex;
    margin-left: auto;
  }

  .menu-toggle span {
    width: 22px;
    height: 1px;
  }

  .nav {
    display: none;
    gap: 30px;
  }

  .nav.active {
    display: flex;
    flex-direction: column;
    position: absolute;
    top: 100%;
    left: 0;
    width: 100%;
    padding: 20px;
    gap: 20px;
    z-index: 999;
    background: #080f1a;
  }
}